package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.statement.SQLShowStatement;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DrdsShowDDLJobs extends MySqlStatementImpl implements SQLShowStatement {
   private boolean full = false;
   private List<Long> jobIds = new ArrayList();

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isFull() {
      return this.full;
   }

   public void setFull(boolean full) {
      this.full = full;
   }

   public List<Long> getJobIds() {
      return this.jobIds;
   }

   public void addJobId(long id) {
      this.jobIds.add(id);
   }
}
